import { ImageCacheItBase } from './image-cache-it.common';
export * from './image-cache-it.common';
export declare class ImageCacheIt extends ImageCacheItBase {
    nativeViewProtected: SDAnimatedImageView;
    private ctx;
    private static cacheHeaders;
    private static hasModifier;
    private uuid;
    private _imageSourceAffectsLayout;
    private filterQueue;
    constructor();
    static get maxDiskCacheSize(): number;
    static set maxDiskCacheSize(size: number);
    static set maxMemoryCacheSize(size: number);
    static get maxMemoryCacheSize(): number;
    static get maxDiskCacheAge(): number;
    static set maxDiskCacheAge(age: number);
    createNativeView(): SDAnimatedImageView;
    initNativeView(): void;
    _setNativeClipToBounds(): void;
    onMeasure(widthMeasureSpec: number, heightMeasureSpec: number): void;
    private static computeScaleFactor;
    private _priority;
    private _loadStarted;
    private _handlePlaceholder;
    private _loadImage;
    getFileName(path: string): string;
    private static _getMagicBytes;
    private _handleFallbackImage;
    private setAspect;
    private _templateImageWasCreated;
    private static _getFilterByName;
    private setTintColor;
    private _setOverlayColor;
    _setNativeImage(nativeImage: UIImage): void;
    private static ciFilterMap;
    private _setupFilter;
    static hasItem(src: string): Promise<any>;
    static deleteItem(src: string): Promise<any>;
    static getItem(src: string): Promise<any>;
    static clear(): Promise<any>;
    private static autoMMCallback;
    static enableAutoMM(): void;
    static disableAutoMM(): void;
}
